Bug 134324 - sendmail alias expansion not working
sendmail alias expansion not working
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sendmail (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 08:58 EDT by David Dombek
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 11:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Dombek 2004-10-01 08:58:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040707 Firefox/0.9.2

Description of problem:
Below are 2 examples of alias expansion as entered in /etc/aliases

In RHELv3 you will see that the alias for root is not expanded.  In
RH7.3 the alias is properly expanded.

Where is the problem in mail or sendmail or was this a deliberate change?


Version-Release number of selected component (if applicable):
sendmail-8.12.11-4.RHEL3.1

How reproducible:
Always

Steps to Reproduce:
1. modify /etc/aliases to have root email go to another user
2. run newaliases
3. mail -v -s test root@localhost < /etc/hosts
    

Actual Results:  
[root@e2cen2logadm2 root]# mail -v -s test root@localhost < /etc/hosts
root@localhost... Connecting to [127.0.0.1] via relay...
220 e2cen2logadm2.east2.247realmedia.com ESMTP Sendmail
8.12.11/8.11.6; Thu, 30 Sep 2004 22:02:53 -0400
>>> EHLO e2cen2logadm2.east2.247realmedia.com
250-e2cen2logadm2.east2.247realmedia.com Hello localhost.localdomain
[127.0.0.1], pleased to meet you
250-ENHANCEDSTATUSCODES
250-PIPELINING
250-8BITMIME
250-SIZE
250-DSN
250-ETRN
250-AUTH GSSAPI
250-DELIVERBY
250 HELP
>>> MAIL From:<root@e2cen2logadm2.east2.247realmedia.com> SIZE=425
AUTH=root@e2cen2logadm2.east2.247realmedia.com
250 2.1.0 <root@e2cen2logadm2.east2.247realmedia.com>... Sender ok
>>> RCPT To:<root@e2cen2logadm2.east2.247realmedia.com>
>>> DATA
250 2.1.5 <root@e2cen2logadm2.east2.247realmedia.com>... Recipient ok
354 Enter mail, end with "." on a line by itself
>>> .
250 2.0.0 i9122rQ7006232 Message accepted for delivery
root@localhost... Sent (i9122rQ7006232 Message accepted for delivery)
Closing connection to [127.0.0.1]
>>> QUIT
221 2.0.0 e2cen2logadm2.east2.247realmedia.com 

closing connection


Expected Results:  RH7.3
mail -v -s test root@localhost < /etc/hosts
root@localhost... aliased to snog@247realmedia.com
snog@247realmedia.com... Connecting to e2smtp1.east2.247realmedia.com.
via relay...
220 e2smtp1.east2.247realmedia.com ESMTP Sendmail 8.11.6/8.11.6; Thu,
30 Sep 2004 22:13:02 -0400
>>> EHLO e1cen1logadm1.east1.247realmedia.com
250-e2smtp1.east2.247realmedia.com Hello [10.205.6.1], pleased to meet you
250-ENHANCEDSTATUSCODES
250-8BITMIME
250-SIZE
250-DSN
250-ONEX
250-ETRN
250-XUSR
250 HELP
>>> MAIL From:<root@e1cen1logadm1.east1.247realmedia.com> SIZE=310
250 2.1.0 <root@e1cen1logadm1.east1.247realmedia.com>... Sender ok
>>> RCPT To:<snog@247realmedia.com>
250 2.1.5 <snog@247realmedia.com>... Recipient ok
>>> DATA
354 Enter mail, end with "." on a line by itself
>>> .
250 2.0.0 i912D2K13596 Message accepted for delivery
snog@247realmedia.com... Sent (i912D2K13596 Message accepted for delivery)
Closing connection to e2smtp1.east2.247realmedia.com.
>>> QUIT
221 2.0.0 e2smtp1.east2.247realmedia.com closing connection

Additional info:
Comment 1 Thomas Woerner 2007-07-23 08:02:20 EDT
Are you using virtusertable?
Comment 2 Thomas Woerner 2007-07-24 11:57:15 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux. 

Note You need to log in before you can comment on or make changes to this bug.